- Home
- Cyrus IMAP
- Download
- Contribute

# Cyrus SASL

# sasl_client_plug_init_t - client plug‐in entry point

## Synopsis

    #include <sasl/saslplug.h>

    int sasl_client_plug_init_t(const sasl_utils_t *utils,
                                          int max_version,
                                         int *out_version,
                            sasl_client_plug_t **pluglist,
                                           int *plugcount);

## Description

int sasl_client_plug_init_t(const sasl_utils_t *utils,
int max_version,
int *out_version,
sasl_client_plug_t **pluglist,
int *plugcount);

  The sasl_client_plug_init_t callback function is the client plugin entry point.

  Parameters

    - utils – The utility callback functions.

    - max_version – The highest client plugin version supported.

    - out_version – The client plugin version of the result.

    - pluglist – The list of client mechanism plugins.

    - plugcount – The number of client mechanism plugins.

  Returns

    Returns `SASL_OK` on success. See sasl_errors(3) for meanings of other return codes.

## Return Value

SASL functions should return SASL return codes. See sasl.h for a complete list. `SASL_OK` indicates success.

## Conforming to

RFC 4422

## See Also

sasl(3), sasl_errors(3)